gvm_sentry.h File Reference

Implementation of sentry methods. More...

Go to the source code of this file.

## Functions

void | gvm_sentry_init (const char *, const char *)
| Initialize Sentry.
void | gvm_sentry_log (const char *)
| Send a message to Sentry server if it was initialized.
void | gvm_close_sentry (void)
| Shutdown Sentry if it was initialized.
int | gvm_has_sentry_support (void)
| Check for sentry support.

## Detailed Description

Implementation of sentry methods.

This file contains all methods needed for sentry. To enable sentry and log log in the sentry server, methods in this file are called.

## Function Documentation

## gvm_close_sentry()

void gvm_close_sentry | ( | void |  | ) |

Shutdown Sentry if it was initialized.

This function must be called before exiting to ensure that all message has been sent to Sentry.

The function does nothing if HAVE_SENTRY is not defined

## gvm_has_sentry_support()

int gvm_has_sentry_support | ( | void |  | ) |

Check for sentry support.

Returns
  1 if gvm-libs has been built with sentry support, 0 otherwise.

## gvm_sentry_init()

void gvm_sentry_init | ( | const char * | dsn,
|  | const char * | release )

Initialize Sentry.

The function does nothing if HAVE_SENTRY is not defined

Parameters

  [in] | dsn | Sentry DSN
  [in] | release | Module release to be sent to Sentry.

## gvm_sentry_log()

void gvm_sentry_log | ( | const char * | message | ) |

Send a message to Sentry server if it was initialized.

The function does nothing if HAVE_SENTRY is not defined

Parameters

  [in] | message | Message to send